Rapid7 Vulnerability & Exploit Database

Huawei EulerOS: CVE-2021-3697: grub2 security update

Back to Search

Huawei EulerOS: CVE-2021-3697: grub2 security update

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
07/06/2022
Created
09/14/2022
Added
09/14/2022
Modified
09/14/2022

Description

A crafted JPEG image may lead the JPEG reader to underflow its data pointer, allowing user-controlled data to be written in heap. To a successful to be performed the attacker needs to perform some triage over the heap layout and craft an image with a malicious format and payload. This vulnerability can lead to data corruption and eventual code execution or secure boot circumvention. This flaw affects grub2 versions prior grub-2.12.

Solution(s)

  • huawei-euleros-2_0_sp9-upgrade-grub2-common
  • huawei-euleros-2_0_sp9-upgrade-grub2-efi-aa64
  • huawei-euleros-2_0_sp9-upgrade-grub2-efi-aa64-modules
  • huawei-euleros-2_0_sp9-upgrade-grub2-tools
  • huawei-euleros-2_0_sp9-upgrade-grub2-tools-extra
  • huawei-euleros-2_0_sp9-upgrade-grub2-tools-minimal

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;